cordovaでNo android targets (SDKs) installed

cordova requirementsを実行した際に、

No android targets (SDKs) installed!

エラーが出てしまいました。

どうやら以下2ファイルのSDKバージョンをインストールしてあるものに変更する必要がある模様。

  • (cordova_project)/platforms/android/project.properties
  • (cordova_project)/platforms/android/app/src/main/AndroidManifest.xml

また、ここを参考にminSdkVersionも設定する必要があります。

私の場合、Android SDKマネージャにてNougat(SDKバージョンは24)が入っており、Cordovaのバージョンは8.0.0でした。

project.properties

target=android-24

AndroidManifest.xml

<uses-sdk android:minSdkVersion="19" android:targetSdkVersion="24" />

こちらは8.0.0の記述はありませんでしたが、最新の7.0.0は19からだったので19に指定しました。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です